# these are defined by the build
#%define distro Fedora
#%define distrorelease 12
#%define distroname f12
#%define pldistro onelab
#%define plrelease 5.0

%define name sface
%define version 0.9
%define taglevel 9

%define release %{taglevel}%{?pldistro:.%{pldistro}}%{?date:.%{date}}

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Vendor: PlanetLab
Packager: PlanetLab Central <support@planet-lab.org>
Distribution: PlanetLab %{plrelease}
URL: %{SCMURL}
Summary: GUI for sfi.py from SFA
Group: Applications/System

BuildRequires: make
Requires: python >= 2.5
Requires: PyQt4
Requires: sfa-client

%description
this package provides GUI for sfi.py, i.e.
the Slice-Based Facility Architecture (SFA) command line interface.
The GUI let you manage you slices by adding/deleting nodes and viewing
the slice's RSpec with an XML pretty printer.

%prep
%setup -q

%build
make VERSIONTAG="%{version}-%{taglevel}" SCMURL="%{SCMURL}"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" datadir="%{_datadir}" bindir="%{_bindir}" install
rm -f $RPM_BUILD_ROOT/%{_datadir}/*.egg-info
# symlinking sface to sface-run, relative
cd $RPM_BUILD_ROOT/%{_bindir}
ln -sf ./sface-run ./sface

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/sface
%{_bindir}/sface-run
%{_datadir}/sface/*

%changelog
* Thu Oct 04 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-9
- minor fixes - like protect against encoding mishaps

* Thu Jun 07 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-8
- no change, but macos packaging was broken (could not spot sfi)

* Wed Jun 6 2012 Tony Mack <tmack@cs.princeton.edu> - sface-0.9-7
- specify -t --type option when calling sfi show
 
* Thu Apr 05 2012 Tony Mack <tmack@cs.princeton.edu> - sface-0.9-6
- remove SQLAlchemy dependency
- add event for notifying mainscreen of server-side slice changes

* Mon Mar 05 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-5
- support for legacy sfa lib
- json encoding

* Tue Jan 24 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-4
- fixed crash in slicestatus screen when no slice name is defined
- fixed crash in mainwindow then clicking on empty list
- fixed failure to delete last sliver in a slice
- fixed inability to use config screen without pre-existing .sficonfig

* Mon Jan 09 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-3
- handle blank rspecs

* Thu Jan 05 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-2
- fix the way sfi.py gets located

* Tue Jan 03 2012 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.9-1
- minor tag for sfa-2.0-7

* Wed Dec 07 2011 Scott Baker <smbaker@gmail.com> - sface-0.1-21
- fix errors when adding/removing slice attributes
- fix references to sfa.util.record

* Thu Dec 01 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-20
- Added batch slice renew feature
- Updated XMLRPC tracker to keep history of XMLRPC calls, support scrolling, and parse fault messages
- Retrieve available resources and resources bound to slices from independent ListResources calls
- Added ability to delete slices
- Added SliverStatus screen
- Support for creating slivers directly on ProtoGENI, bypassing slice manager
- Support for new RSPEC methods in latest SFA code

* Fri Sep 16 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-19
- reporting of server faults to the user
- create slice button and dialog
- fix bug that caused a crash when adding tags
- spacebar can be used instead of double-click when adding nodes or users
- support for multiple config directories

* Sun Sep 04 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-18
- usable with a different directory than ~/.sfi
- either on the command line, or in the config. screen

* Thu Sep 01 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-17
- new user management screen to allow users to be added and deleted from slices
- known issue with the users screen regarding adding people who are listed as PIs to a sliver.
- reordered columns (new order is hostname, boot state, membership state)
- rewrote filtering mechanism to allow separate string search and boot state filter
- selection highlights the whole line instead of excluding the hostname part

* Thu Jul 07 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-16
- bugfix in managing subprocess outputs

* Mon Jun 20 2011 Andy Bavier <acb@cs.princeton.edu> - sface-0.1-15
- Fix bug preventing adding nodes to a slice.

* Fri Jun 10 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-14
- slight changes in view creation

* Wed Jun 08 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-13
- dynamically load screens from the screens directory

* Mon Jun 06 2011 Scott Baker <smbaker@gmail.com> - sface-0.1-12
- Added button to renew slice.

* Mon May 23 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-11
- fixed the logo area on the mac

* Mon May 23 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-10
- show versions of sface and sfa in the configure window
- should work both on rpm-based and macos (build-dmg.sh) packages

* Tue Mar 15 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-9
- packaging has support for leopard as well
- can use vn as a skeleton for vn+1
- config view show SFA version

* Tue Mar 15 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-8
- dmg packaging has support for leopard, and other utility options
- cleaned up graphics

* Mon Mar 14 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-7
- fixed dmg packaging

* Mon Mar 14 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-6
- help script to create dmg packaging

* Tue Mar 08 2011 Andy Bavier <acb@cs.princeton.edu> - sface-0.1-5
- Can add and remove slice tags
- Numerous tweaks
- Simplify item model

* Thu Jan 27 2011 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-4
- minor changes

* Thu Oct 14 2010 Baris Metin <Talip-Baris.Metin@sophia.inria.fr> - sface-0.1-3
- sface-0.1-3, with improvement on process output.

* Mon Sep 27 2010 Thierry Parmentelat <thierry.parmentelat@sophia.inria.fr> - sface-0.1-2
- initial version with rpm packaging

* Fri Sep 24 2010 Giovanni Gherdovich <ggherdov@sophia.inria.fr>
- initial package
